#ifndef __TYPES_H_INCLUDED
#define __TYPES_H_INCLUDED

typedef unsigned long long u64;
typedef signed long long s64;
typedef unsigned int u32;
typedef signed int s32;
typedef unsigned short u16;
typedef signed short s16;
typedef unsigned char u8;
typedef signed char s8;
typedef float f32;
typedef double f64;

#define MAX_S32  2147483647
#define MAX_U32  4294967295
#define MAX_S31  1073741823 
#define MAX_S16  32767
#define MAX_U16  65535

#endif // __TYPES_H_INCLUDED
