// Get system provided entropy for seed initialization

#include <windows.h>
#include <wincrypt.h>
#include <stdio.h>

#include "types.h"
#include "random.h"

// Returns nonzero on success

int Get_System_Provided_Entropy(u8 *buffer, u32 buffer_size_bytes)
{
HCRYPTPROV  hCryptProv;

CryptAcquireContext(&hCryptProv,NULL,NULL,PROV_RSA_FULL,0); 

int ret_value = CryptGenRandom(hCryptProv, buffer_size_bytes, buffer); 

CryptReleaseContext(hCryptProv,0);

reset_stack();

return ret_value;
}

