#ifndef MAIN_H_INCLUDED
#define MAIN_H_INCLUDED
//-----------------------------------------------------------------------
#include "types.h"
#include "kademlia.h"
#include "network.h"
//-----------------------------------------------------------------------
KADEMLIA* getKad(void);
NETWORK* getNet(void);
SECRET_DATA* getSecretData(void);
u32 getPassword(u8* password);
void parsePacket(NET_PACKET* pac);
void appendLike(NODE* nd, pctstr_t name);
void removeLike(u32* id);
//-----------------------------------------------------------------------
bool isTrustUser(u32* id);
void StartChat(u32* id);
void AddTrustId(u32* id);
void RemoveTrustId(u32* id);
//-----------------------------------------------------------------------
void setVolume(WORD value);
void getVolume(WORD *value);
void setMicrophone(WORD value);
void getMicrophone(WORD *value);
//-----------------------------------------------------------------------
#endif //MAIN_H_INCLUDED
